import { ReactNode } from "react";
export type NavigationBarItem = {
    title: string;
    selected: boolean;
    startDecorator?: ReactNode;
    endDecorator?: ReactNode;
    to?: string;
    action?: () => void;
    children?: NavigationBarItem[];
};
type ChipVariant = "plain" | "outlined" | "soft" | "solid";
type ChipSize = "sm" | "md" | "lg";
export default function NerdNavigationBar({ leftItems, rightItems, navigationBarIndex, chipVariant, selectedChipVariant, chipSize, disableBottomDivider, }: {
    leftItems: NavigationBarItem[];
    rightItems: NavigationBarItem[];
    navigationBarIndex?: number;
    chipVariant?: ChipVariant;
    selectedChipVariant?: ChipVariant;
    chipSize?: ChipSize;
    disableBottomDivider?: boolean;
}): import("react/jsx-runtime").JSX.Element;
export {};
